Please update tutorial to note required 0.0.0.0 binding


(Joe Flowers) #1

I just worked through ‘discourse as your first rails app’ and it took me a long time to figure out why I was getting nothing back when I would browse to localhost:4000

The reason is apparently that as of Rails 4.2, you need to bind rails to 0.0.0.0 - which was the default when this tutorial was written but eventually changed.

This fix is noted by commenters of the tutorial here - but you have to scroll through 100+ comments to get to it.

and here


(Jeff Atwood) #2

Ok I will update here thanks for the reminder!


(Erlend Sogge Heggen) #3

Still think this tutorial should be reposted as a wiki-editable Howto here on Meta! :allthethings:


(Jeff Atwood) #4

OK updated on the blog. Sorry about that, and thanks for the report!


(Jeff Atwood) #5